// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AO8/18AO8_Linux_1.x_and_2.x_DN/include/18ao8_dsl.h $
// $Rev: 52857 $
// $Date: 2023-04-17 14:34:43 -0500 (Mon, 17 Apr 2023) $

// 18AO8: Document Source Library: header file

#ifndef	__18AO8_DSL_H__
#define	__18AO8_DSL_H__

#include <stdlib.h>

#include "18ao8_api.h"



// prototypes *****************************************************************

int	ao8_close_dsl	(int fd);
int	ao8_init_dsl	(void);
int	ao8_ioctl_dsl	(int fd, int request, void *arg);
int	ao8_open_dsl	(int device, int share, int* fd);
int ao8_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	ao8_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
